Package org.apache.sling.models.factory

# Class MissingElementException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sling.models.factory.MissingElementException

All Implemented Interfaces:
  `Serializable`

@ProviderType public class MissingElementException extends RuntimeException
Exception which is used whenever one element (field, method or constructor) could not be set.

See Also:
  - `MissingElementsException`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MissingElementException(AnnotatedElement element, Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`AnnotatedElement`
`getElement()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MissingElementException

public MissingElementException(AnnotatedElement element, Throwable cause)

## Method Details

### getElement

public AnnotatedElement getElement()